<?php
/*
 * Alternative :
 * $this->callHook('kzEvent', $value); avec $value : parmi '', 'after', 'before', 'all'.
 * '' d'abord les évènements à venir par date croissante, puis les évènements passés par date décroissante
 * 'after' : Tous les évènements à venir par date croissante
 * 'before' : Tous les évènements àpassés par date décroissante
 * 'all' : tous les évènements passés ou futurs par date croissante
 * */

if($this->callHook('kzEvent')) {
	while($this->plxMotor->plxRecord_arts->loop()) {
		$dateEvent = $this->plxMotor->plxRecord_arts->f('kzEvent');
?>
	<article class="article" id="post-<?php echo $this->artId(); ?>">
		<header>
			<span class="art-date">
				<time datetime="<?= $dateEvent ?>">
					<?= plxDate::formatDate(str_replace('-', '', $dateEvent) , '#num_day #month #num_year(4)'); ?>
				</time>
			</span>
			<span class="art-date">
				<time datetime="<?php $this->artDate('#num_year(4)-#num_month-#num_day'); ?>">
					<?php $this->artDate('#num_day #month #num_year(4)'); ?>
				</time>
			</span>
			<h2>
				<?php $this->artTitle('link'); ?>
			</h2>
			<div>
				<small>
					<span class="written-by">
						<?php $this->lang('WRITTEN_BY'); ?> <?php $this->artAuthor() ?>
					</span>
					<span class="art-nb-com">
						<?php $this->artNbCom(); ?>
					</span>
				</small>
			</div>
			<div>
				<small>
					<span class="classified-in">
						<?php $this->lang('CLASSIFIED_IN') ?> : <?php $this->artCat() ?>
					</span>
					<span class="tags">
						<?php $this->lang('TAGS') ?> : <?php $this->artTags() ?>
					</span>
				</small>
			</div>
		</header>
		<?php $this->artThumbnail(); ?>
		<?php $this->artChapo(); ?>
	</article>
<?php
	}
}
